%  rotate1.m
% Matlab file for Part 1 of the Rotation Matrices 
% module

disp('********************************************')
disp('Part 1: Trigonometric Background')
disp('********************************************')
disp('  ')    

    format short
    
    disp('Step 1: ') 
    disp('Let (x,y) denote the terminal point of')
    disp('the vector v in the plane.  We rotate')
    disp('vector v through an angle theta. ')
    disp('  ')
    disp('Let (xr,yr) be new terminal point of the')
    disp('rotated vector vr.  Our first objective  ')
    disp('is to calculate xr and yr as functions of ')
    disp('x and y and the rotation angle theta.  ')
    disp('  ')
    disp('We can write x and y as  ')
    disp('   x = b*cos(psi) ')
    disp('   y = b*sin(psi) ')
    disp('     where b is the length of vector v ')
    disp('     and psi is v''s angle with the x-axis.')
    disp('  ')
    disp('Enter the new coordinates of the rotated ')
    disp('vector vr and expand the trig expressions: ')
    disp(' ')
    disp('  syms b theta psi real')
    disp('  xr = b*cos(theta+psi) ')
    disp('  yr = b*sin(theta+psi) ')
    disp('  xr = expand(xr) ')
    disp('  yr = expand(yr) ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
       
    disp('-----------------------------------------------')
    disp('Step 2 (cont): ') 
    disp('Recalling that ')
    disp('   x = b*cos(psi) ')
    disp('   y = b*sin(psi), ')
    disp('substitute these expressions into the expanded ')
    disp('expressions for xr and yr above to express ')
    disp('xr and yr in terms of variables x, y, and theta ')
    disp('only. ')
    disp(' ')
    disp('-----------------------------------------------')
    disp('Type your equations for xr and yr in terms of')
    disp('x, y, and theta as MATLAB comments in your  ')
    disp('diary file.. ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('---------------------------------------------')
    disp('Step 2:')
    disp('Rewrite the transformation of v=[x,y] into ')
    disp('vr=[xr,yr] in matrix form. ')
    disp(' ')
    disp('In particular, fill in the matrix A below with')
    disp('entries that depend on theta and do the matrix')
    disp('multiplication indicated to check you have')
    disp('computed xr and yr correctly. ')
    disp(' ')
    disp('Fill in and then enter:')
    disp(' ')
    disp(' syms x y theta real')
    disp(' A = [ ?  ?  ')
    disp('       ?  ? ]  ')
    disp(' v=[x; y] ')
    disp(' vr = A*v ')
    disp(' ')
    disp(' ')
    disp('-------------------------------------------- ')
    disp('When you are ready to go on to part 2 ')
    disp('of this module, type: rotate2.')
    disp(' ')
